# Default values for core.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

nameOverride: ""
fullnameOverride: ""
replicaCount: 1

image:
  tag:          ""
  repo:         ""
  pullPolicy:   "IfNotPresent"
  javaOpts:     "-Xmx4096m"
  imageName:    ""
  initImage:    ""

service:
  type: ClusterIP
  port: 7070

ingress:
  enabled: true
  annotations: 
    kubernetes.io/ingress.class: nginx
    #    nginx.ingress.kubernetes.io/affinity: cookie
    #    nginx.ingress.kubernetes.io/affinity-mode: persistent
    #    nginx.ingress.kubernetes.io/session-cookie-hash: sha1
    #    nginx.ingress.kubernetes.io/session-cookie-name: sample-cookie
    #    nginx.ingress.kubernetes.io/session-cookie-expires: "172800"
    #    nginx.ingress.kubernetes.io/session-cookie-max-age: "172800"

  tls: 
    secretName: mpay2-secret

resources:
  limits:
    cpu: 2000m
    memory: 6Gi
  requests:
    cpu: 200m
    memory: 1024Mi

nodeSelector: {}

tolerations: []

affinity: {}
